---
title: BatteryManager.level
slug: Web/API/BatteryManager/level
tags:
  - API
  - Battery API
  - NeedsMarkupWork
  - Property
  - Reference
  - Référence(2)
---
<div>{{obsolete_header}}</div>

<div>{{APIRef("Battery API")}}</div>

<p>Indicates the current battery charge level as a value between <code>0.0</code> and <code>1.0</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var level = battery.level</pre>

<p>On return, <code>level</code> is a number representing the system's battery charge level scaled to a value between 0.0 and 1.0. A value of 0 means the <code><em>battery</em></code>, which is a {{domxref("BatteryManager")}} object, is empty and the system is about to be suspended. A value of 1.0 means the battery is full. A value of 1.0 is also returned if the implementation isn't able to determine the battery charge level or if the system is not battery-powered.</p>

<h2 id="Example">Example</h2>

<h3 id="HTML_Content">HTML Content</h3>

<pre class="brush: html  language-html">&lt;div id="level"&gt;(battery level unknown)&lt;/div&gt;<code class="language-html">
</code></pre>

<h3 id="JavaScript_Content">JavaScript Content</h3>

<pre class="brush: js;  highlight:[3]">navigator.getBattery().then(function(battery) {

    var level = battery.level;

    document.querySelector('#level').textContent = level;
});
</pre>

<p>{{ EmbedLiveSample('Example', '100%', 30, '', 'Web/API/BatteryManager/level') }}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("Battery API")}}</td>
   <td>{{Spec2("Battery API")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.BatteryManager.level")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("BatteryManager")}}</li>
 <li>{{domxref("Navigator.getBattery")}}</li>
</ul>
